<?php
/**
 * 上传表
 */

return array
(
    # 表名
    'name' => 'yun',
    # 显示给用户看的名称
    'lang' => '云端配置',
    'order' => 1,
    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => '配置ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'list'      => true,
        ),
        
        'name'      => array
        (
            'type'      => 'varchar-24',
            'name'      => '配置名',
            'default'   => '',
            'desc'      => '请输入配置名',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'host'      => array
        (
            'type'      => 'varchar-800',
            'name'      => '域名',
            'default'   => '',
            'desc'      => '域名',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),
        
        'appkey'      => array
        (
            'type'      => 'varchar-80',
            'name'      => 'appkey',
            'default'   => '',
            'desc'      => 'appkey',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'appsecret'      => array
        (
            'type'      => 'varchar-200',
            'name'      => 'appsecret',
            'default'   => '',
            'desc'      => 'appsecret',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),
        
        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '录入时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),
    
    
    'manage' => array
    (
        
    ),
);
