<?php
namespace Upload\Src;

use Dever;

class Manage
{
    public function search_tag()
    {
        $name = Dever::input('term');
        $param['name'] = $name;

        $data = Dever::db('upload/tag')->search($param);

        if ($data) {
            return $data;
        } else {
            return array
            (
                0 => array('id' => -1, 'value' => '没有找到您搜索的数据', 'label' => '没有找到您搜索的数据'),
            );
        }
    }

    public function search_tag_by_ids($id)
    {
        $data = Dever::db('upload/tag')->search($id);

        return $data;
    }

    public function add_tag($id, $name, $data)
    {
        $tag = Dever::param('tag', $data);

        if ($tag) {
            $temp = explode(',', $tag);
            foreach ($temp as $k => $v) {
                $info = Dever::db('upload/tag')->one(array('name' => $v));
                if (!$info) {
                    Dever::db('upload/tag')->insert(array('name' => $v));
                }
            }
        }
    }

    public function file($id)
    {
        $info = Dever::db('upload/file')->one($id);

        $table = array();

        $html = '';
        $config = Dever::db('upload/upload')->one($info['key']);
        $link = Dever::upload('{uploadRes}' . $info['file']);
        if (strstr($info['file'], '.png') || strstr($info['file'], '.jpg')) {
            $html = '<img src="'.$link.'" width="100" />';
        }

        $table['文件名'] = $info['name'];
        $html .= Dever::table($table);
        return $html;
    }
}